Bug 71408 - break with internal error
Summary: break with internal error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-08-13 06:49 UTC by Ngo Than
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-17 20:46:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ngo Than 2002-08-13 06:49:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
rebuild kdelibs-3.0.3 with CFLAGS -O2 breaks with compiler internal error.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.build kdelibs-3.0.3
2.
3.
	

Actual Results:  breaks with compiler internal error.


Expected Results:  it build fine with -O2

Additional info:

gcc-3.2-0.1

Comment 1 Ngo Than 2002-08-13 06:50:52 UTC
you can find preprocessed source in my home ~/than/libtaskmanager_la.all_cpp.o.bz2

Comment 2 Jakub Jelinek 2002-08-20 09:25:10 UTC
Please specify all the options used, simply running g++ -O2 libtaskmanager_la.all_cpp.ii
(or -O2 -fpic) doesn't trigger any problems.

Comment 3 Ngo Than 2002-12-17 20:46:20 UTC
It's fixed in rawhide


Note You need to log in before you can comment on or make changes to this bug.